Package com.smartgwt.client.types

# Enum SelectItemsMode

java.lang.Object
java.lang.Enum<SelectItemsMode>
com.smartgwt.client.types.SelectItemsMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<SelectItemsMode>`, `Constable`

public enum SelectItemsMode extends Enum<SelectItemsMode> implements ValueEnum
Controls whether and when individual items are selected when clicking on a form in editMode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ITEM`
  select an individual item if the item itself it clicked on, but not its title cell
  `ITEMORTITLE`
  select an individual item if either the item or its title cell is clicked on.
  `NEVER`
  never allow selection of an individual item

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static SelectItemsMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SelectItemsMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ITEM

    public static final SelectItemsMode ITEM
    select an individual item if the item itself it clicked on, but not its title cell

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "item".

  - ### ITEMORTITLE

    public static final SelectItemsMode ITEMORTITLE
    select an individual item if either the item or its title cell is clicked on. NOTE: this mode is not the default because it can be make it difficult to select the form as a whole

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "itemOrTitle".

  - ### NEVER

    public static final SelectItemsMode NEVER
    never allow selection of an individual item

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

- ## Method Details

  - ### values

    public static SelectItemsMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SelectItemsMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`